Devel::Cover::Report::Html_minimal(3pm)

NAME
Devel::Cover::Report::Html_minimal - HTML backend for Devel::Cover

VERSION
version 1.51

SYNOPSIS
 cover -report html_minimal

DESCRIPTION
This module provides a HTML reporting mechanism for coverage data. It is designed to be called from the "cover" program.

Based on an original by Paul Johnson, the output was greatly improved by Michael Carman (mjcarman@mchsi.com).

OPTIONS
Options are specified by adding the appropriate flags to the "cover" program. This report format supports the following:

outputfile
    Specifies the filename of the main output file. The default is coverage.html. Specify index.html if you just want to publish the whole directory.

pod Includes POD (and blank lines) in the file report. This is on by default. It may be turned off with -nopod.

data
    Includes text after the "__DATA__" or "__END__" tokens in the file report. By default, this text is trimmed.

    Note: If your POD is after an "__END__", you have to specify 'data' to include it, not 'pod'. The 'pod' option only applies to POD before the "__END__".

unified
    Generates a "unified" report for each file. The detailed data that normally appears in the auxiliary reports (branch, condition, etc.) are placed in the file report, and the auxiliary reports are not generated.

summarytitle
    Specify the title of the summary. The default is "Coverage Summary".

SEE ALSO
Devel::Cover

LICENCE
Copyright 2001-2025, Paul Johnson (paul@pjcj.net)

This software is free. It is licensed under the same terms as Perl itself.

The latest version of this software should be available from my homepage: https://pjcj.net